# $Revision: 1.57.2.1 $, $Date: 2006/05/18 22:41:33 $
#
# Conditional build:
%bcond_without  brlapi     # build without Braille display driver support
#
Summary:	Assistive technology
Summary(pl):	Technologia wspomagajca
Name:		gnopernicus
Version:	1.0.4
Release:	2
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnopernicus/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	4e798c6d08e6096702d316b702801d1d
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-build.patch
URL:		http://www.baum.de/
BuildRequires:	/usr/X11R6/bin/mkfontdir
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	at-spi-devel >= 1.6.6
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_brlapi:BuildRequires:	brlapi-devel >= 3.7}
BuildRequires:	gnome-common >= 2.8.0-2
BuildRequires:	gnome-mag-devel >= 0.12
BuildRequires:	gnome-speech-devel >= 0.3.6
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.33
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.21
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.5
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	GConf2 >= 2.14.0
Requires(post,postun):	scrollkeeper
Requires:	libgnomeui >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnopernicus project enables users with limited vision, or no
vision, to use the GNOME 2 desktop and GNOME/GTK+-2 applications
effectively. By providing automated focus tracking and fullscreen
magnification, Gnopernicus will aid low-vision GNOME users, and its
screen reader features will allow low-vision and blind users access to
standard GTK+2 and Java-based GUI applications via speech and Braille
output. By leveraging GNOME 2's built-in accessibility framework,
Gnopernicus makes interacting with applications more efficient for
these users, and enables use of the GNOME 2 desktop for some users who
otherwise would have no access to GNOME.

%description -l pl
Projekt Gnopernicus umoliwia uytkownikom z ograniczeniami wzroku
(lub bez wzroku) efektywne korzystanie ze rodowiska GNOME 2 i
aplikacji GNOME/GTK+2. Dziki automatycznemu ledzeniu wskanika i
penoekranowemu powikszaniu, Gnopernicus pomoe niedowidzcym
uytkownikom GNOME, a czytnik ekranu pozwoli niedowidzcym i
niewidomym uytkownikom na uywanie standardowych aplikacji
graficznych opartych na GTK+2 i Javie poprzez przekazywanie wyjcia za
pomoc mowy i Braille'a. Poprzez wykorzystanie wbudowanego w GNOME 2
szkieletu wspomagajcego niepenosprawnych, Gnopernicus czyni
korzystanie z aplikacji bardziej wydajnym dla tych uytkownikw i
pozwala na korzystanie ze rodowiska GNOME 2 tym, ktrzy nie mogliby
go uywa.

%package devel
Summary:	Gnopernicus development files
Summary(pl):	Pliki programistyczne Gnopernicusa
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Gnopernicus development files.

%description devel -l pl
Pliki programistyczne Gnopernicusa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp /usr/share/gnome-common/data/omf.make .
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
    --%{?with_brlapi:en}%{!?with_brlapi:dis}able-brltty

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%scrollkeeper_update_post
%gconf_schema_install brlmonitor.schemas
%gconf_schema_install gnopernicus.schemas
%gconf_schema_install remote.schemas

%preun
%gconf_schema_uninstall brlmonitor.schemas
%gconf_schema_uninstall gnopernicus.schemas
%gconf_schema_uninstall remote.schemas

%postun
/sbin/ldconfig
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/brlmonitor
%dir %{_libdir}/%{name}-1.0
# outside default search patch - include SONAME symlinks
%attr(755,root,root) %{_libdir}/%{name}-1.0/lib*.so.*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/%{name}-1.0
%{_desktopdir}/%{name}.desktop
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}-1.0/lib*.so
%{_libdir}/%{name}-1.0/lib*.la
%{_includedir}/%{name}-1.0
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnopernicus.spec,v $
Revision 1.57.2.1  2006/05/18 22:41:33  baggins
- release 2
- strict reqs

Revision 1.57  2006/05/16 15:04:15  baggins
- up to 1.0.4

Revision 1.56  2006/03/12 08:55:35  qboosh
- unified bcond header

Revision 1.55  2006/03/11 23:16:56  maciek2w
- updated to 0.12.0
- added bcond for brlapi

Revision 1.54  2005/10/04 08:04:31  paladine
- updated to 0.11.7
- missing BR

Revision 1.53  2005/09/06 23:30:49  aflinta
- 0.11.6

Revision 1.52  2005/05/05 12:02:32  ankry
- some unifications

Revision 1.51  2005/05/05 07:52:19  paladine
- updated to 0.10.9
- new style macros

Revision 1.50  2005/03/13 01:12:09  aflinta
- up to version 0.10.4

Revision 1.49  2005/03/01 01:00:48  paladine
- updated to 0.10.3
- disable scrollkeeper-install in install time, BR: gnome-common-2.8.0-2

Revision 1.48  2005/02/14 23:53:48  paladine
- updated to 0.10.2
- missing BR: pkgconfig

Revision 1.47  2005/02/08 12:36:41  grzegol
- updated to 0.10.1
- removed outdated omf patch

Revision 1.46  2005/02/05 18:39:51  qboosh
- gpm-friendly Source URL

Revision 1.45  2005/02/05 00:21:28  grzegol
- updated to 0.10.0

Revision 1.44  2004/12/26 19:07:51  grzegol
- updated to 0.9.19

Revision 1.43  2004/11/29 17:23:54  grzegol
- rel. 2

Revision 1.42  2004/11/29 16:59:27  grzegol
- updated to 0.9.18

Revision 1.41  2004/11/12 20:26:53  paladine
- updated to 0.9.17

Revision 1.40  2004/10/15 09:40:25  aflinta
- up to version 0.9.16

Revision 1.39  2004/09/30 13:43:03  grzegol
- updated to 0.9.14

Revision 1.38  2004/09/29 14:49:32  grzegol
- updated to 0.9.13

Revision 1.37  2004/09/15 17:20:04  grzegol
- merged from 0.9.12 DEVEL

Revision 1.36  2004/08/17 15:00:43  ankry
- rel. 4 to rebuild

Revision 1.35  2004/08/06 19:23:21  ankry
- rel. 3

Revision 1.34  2004/07/23 05:34:43  ankry
- added desktop patch, rel. 2

Revision 1.33.2.9  2004/09/15 11:18:33  grzegol
- updated to 0.9.12

Revision 1.33.2.8  2004/09/13 15:26:43  grzegol
- updated to 0.9.11

Revision 1.33.2.7  2004/08/30 18:49:04  grzegol
- updated to 0.9.10
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.33.2.6  2004/08/16 18:46:48  aflinta
- up to version 0.9.9

Revision 1.33.2.5  2004/08/03 11:30:10  grzegol
- updated to 0.9.8
- added build patch (build fix)

Revision 1.33.2.4  2004/07/30 20:48:25  grzegol
- updated to 0.9.7

Revision 1.33.2.3  2004/07/23 11:22:35  grzegol
- added desktop patch from HEAD

Revision 1.33.2.2  2004/07/14 16:50:40  grzegol
- updated to 0.9.6

Revision 1.33.2.1  2004/07/01 15:14:06  grzegol
- updated to 0.9.5

Revision 1.33  2004/04/19 18:31:28  grzegol
- updated to 0.8.4

Revision 1.32  2004/04/16 09:40:27  aflinta
- up to version 0.8.3

Revision 1.31  2004/04/06 12:39:58  grzegol
- updated to 0.8.2

Revision 1.30  2004/03/22 12:42:28  grzegol
- updated to 0.8.1

Revision 1.29  2004/03/15 18:15:25  grzegol
- updated to 0.8.0

Revision 1.28  2004/03/07 15:19:51  grzegol
- updated to 0.7.6

Revision 1.27  2004/02/25 13:12:18  grzegol
- updated to 0.7.5
- added BR: gtk-doc

Revision 1.26  2004/02/20 23:14:12  grzegol
- added locale-names (no -> nb) and omf (fixes .omf files) patches
- rel. 2

Revision 1.25  2004/02/11 16:36:17  grzegol
- updated to 0.7.4
- removed outdated schemas patch

Revision 1.24  2004/01/13 21:43:19  grzegol
- added schemas patch (fixes typo in gnopernicus.schemas file)
- rel. 2

Revision 1.23  2004/01/12 19:23:18  grzegol
- updated to 0.7.3

Revision 1.22  2003/10/08 18:17:19  grzegol
- updated to 0.7.1

Revision 1.21  2003/09/10 13:44:52  grzegol
- updated to 0.7.0

Revision 1.20  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.19  2003/08/18 20:50:13  grzegol
- updated to 0.3.6
- removed outdated compile_fix patch

Revision 1.18  2003/08/18 08:08:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/08/14 08:18:10  aflinta
- version 0.3.5

Revision 1.16  2003/08/12 22:24:38  grzegol
- rel. 1.%%{_snap}.2 to rebuild with gnome-speech-0.2.5

Revision 1.15  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.14  2003/08/01 12:15:39  grzegol
- updated to 20030801 (doesn't require linc)
- removed linc patch
- added compile_fix patch
- regenerate am/lt/ah/intl/gt
- cosmetics

Revision 1.13  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.12  2003/07/01 14:58:47  aflinta
- version 0.3.4

Revision 1.11  2003/06/10 19:54:33  aflinta
- added linc patch

Revision 1.10  2003/06/10 19:28:40  aflinta
- rebuild with gnome-speech, release 2

Revision 1.9  2003/06/03 17:22:46  aflinta
- version 0.3.3

Revision 1.8  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:48:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/13 12:51:46  aflinta
- version 0.3.2

Revision 1.5  2003/05/13 12:05:21  aflinta
- release 2

Revision 1.4  2003/05/13 11:37:45  qboosh
- BR: mkfontdir
- fixes in files, use find_lang to include gnome/help/*

Revision 1.3  2003/05/11 13:05:20  qboosh
- pl, cleanups

Revision 1.2  2003/05/01 13:48:17  grzegol
- added missing dir

Revision 1.1  2003/04/30 21:17:25  aflinta
- PLD initial release
